summaryrefslogtreecommitdiff
path: root/bg2
diff options
context:
space:
mode:
authorNick Daly <myownlittlworld@hotmail.com>2009-07-02 16:04:30 -0500
committerNick Daly <myownlittlworld@hotmail.com>2009-07-02 16:04:30 -0500
commitbb49604cff2511713c0dc774b0851537a1611c9b (patch)
treeb5c8aa3d109c6f266d6adf163bdf5b708ac3cbcb /bg2
parent962f28c581d17237b1a85b4c7771877d8c35a98a (diff)
downloadgemrb-gameinstallers-bb49604cff2511713c0dc774b0851537a1611c9b.tar.bz2
gemrb-gameinstallers-bb49604cff2511713c0dc774b0851537a1611c9b.zip
Completing the BG2-TOB installer.
Diffstat (limited to 'bg2')
-rwxr-xr-xbg2/install-soa-4cd-us-extra.sh2
-rwxr-xr-xbg2/install-soa-4cd-us-tobMinimal.sh2
-rwxr-xr-xbg2/install-tob-1cd-us-extra.sh39
-rwxr-xr-xbg2/install-tob-1cd-us-minimal.sh14
4 files changed, 15 insertions, 42 deletions
diff --git a/bg2/install-soa-4cd-us-extra.sh b/bg2/install-soa-4cd-us-extra.sh
index 402f75f..a6a0687 100755
--- a/bg2/install-soa-4cd-us-extra.sh
+++ b/bg2/install-soa-4cd-us-extra.sh
@@ -38,7 +38,7 @@ function bgtwo_smart_install
mv "$TARGETDIR/data/CD${1}/Data/"* "$TARGETDIR/data"
mv "$TARGETDIR/data/CD${1}/Movies" "$TARGETDIR/cd${1}/movies"
rm -r "$TARGETDIR/data/CD${1}/"
-
+
}
getcd 2 $CD2_MD5 "data3.cab"
diff --git a/bg2/install-soa-4cd-us-tobMinimal.sh b/bg2/install-soa-4cd-us-tobMinimal.sh
index a65ea7b..11e6cb7 100755
--- a/bg2/install-soa-4cd-us-tobMinimal.sh
+++ b/bg2/install-soa-4cd-us-tobMinimal.sh
@@ -27,6 +27,6 @@ checkforbin unshield
CD2_MD5="c78f41ff4cb47ea04fdf25ea6f55eb8b"
getcd 2 $CD2_MD5 "data3.cab"
-copylower "${CDMOUNT}/CD2/" "$TARGETDIR"
+copylower "${CDMOUNT}/CD2/" "$TARGETDIR/cd2/data"
teardown "$TARGETDIR"
diff --git a/bg2/install-tob-1cd-us-extra.sh b/bg2/install-tob-1cd-us-extra.sh
deleted file mode 100755
index 4133b5b..0000000
--- a/bg2/install-tob-1cd-us-extra.sh
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/bash
-#
-# Baldur's Gate 2 Throne of Bhaal (1CD US version) Minimal Install
-# Copyright (C) 2009 GemRB Installers, Nick Daly
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2 of the
-# License, or (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301 USA.
-
-scriptdir="$(dirname $0)"/..
-source "${scriptdir}/includes/generic-includes.sh"
-source "${scriptdir}/includes/cd-includes.sh"
-
-parseargs "$@"
-
-checkforbin unshield
-
-getcd 1 $BG2_TOB_1CD_US_MD5 data1.cab
-
-mkdir -p "$TARGETDIR" || die
-
-# TODO finish everything below here.
-
-
-
-copylower "${CDMOUNT}/extra/override" "${TARGETDIR}/override"
-
-teardown "$TARGETDIR"
diff --git a/bg2/install-tob-1cd-us-minimal.sh b/bg2/install-tob-1cd-us-minimal.sh
index 5ae27ab..5ec0f16 100755
--- a/bg2/install-tob-1cd-us-minimal.sh
+++ b/bg2/install-tob-1cd-us-minimal.sh
@@ -32,10 +32,22 @@ mkdir -p "$TARGETDIR" || die
if [ ! -e "${TARGETDIR}/cd2/data/area000a.bif" ]
then
+ echo "You haven't installed BG2-SOA!"
die
# TODO ask user to run the appropriate preinstaller.
fi
-# TODO finish everything below here.
+unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+
+rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
+
+move_and_remove "${TARGETDIR}/hd025music" "${TARGETDIR}/music"
+move_and_remove "${TARGETDIR}/hd0_english/characters" "${TARGETDIR}/characters"
+move_and_remove "${TARGETDIR}/hd0_english/override" "${TARGETDIR}/override"
+move_and_remove "${TARGETDIR}/hd0_override" "${TARGETDIR}/override"
+move_and_remove "${TARGETDIR}/minimum_25_data" "${TARGETDIR}/data"
+move_and_remove "${TARGETDIR}/minimum_25_data_english" "${TARGETDIR}/data"
+move_and_remove "${TARGETDIR}/hd0_english/" "${TARGETDIR}/"
+move_and_remove "${TARGETDIR}/hd0" "${TARGETDIR}/"
teardown "$TARGETDIR"